<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="arp.com.adoksample"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="Manifest.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

    <uses-feature
        android:name="android.hardware.camera"
        android:required="true" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="ADok Sample"
        android:largeHeap="true"
        android:requestLegacyExternalStorage="true"
        android:supportsRtl="true"
        android:usesCleartextTraffic="true" >
        <activity android:name="arp.com.adoksample.MainActivity" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name="arp.com.adok.MainWin" />
        <activity android:name="arp.com.adok.CaptureImage" />
        <activity android:name="arp.com.adok.ChooseImage" />
        <activity android:name="arp.com.adok.LoginActivity" />
        <activity android:name="arp.com.adok.LoadingPage" />
        <activity android:name="arp.com.adok.ShowAlertActivity" />
        <activity android:name="arp.com.adok.cropmain" />
        <activity android:name="arp.com.adok.mycrop.CropImage" />
        <activity android:name="arp.com.adok.mycrop.MonitoredActivity" />
        <activity
            android:name="arp.com.adok.adokshownotification"
            android:exported="true" />

        <service android:name="arp.com.adok.CrashReport" />
        <service
            android:name="arp.com.adok.NotificationService"
            android:process=":externalProcess" >
        </service>
        <service android:name="arp.com.adok.RunDuration" />
        <service android:name="arp.com.adok.HandleUser" />
        <service android:name="arp.com.adok.NotiTimer" />
        <service android:name="arp.com.adok.CheckConnectService" />
        <service
            android:name="arp.com.adok.CrashReportJS"
            android:exported="true"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <service
            android:name="arp.com.adok.NotiTimerJS"
            android:exported="true"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <service
            android:name="arp.com.adok.SyncWebJS"
            android:exported="true"
            android:permission="android.permission.BIND_JOB_SERVICE" />

        <receiver android:name="arp.com.adok.notificationReciever" >
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.content.Intent.ALARM" />
                <action android:name="android.intent.action.ACTION_POWER_CONNECTED" />
                <action android:name="android.intent.action.AIRPLANE_MODE" />
                <action android:name="android.intent.action.ANSWER" />
                <action android:name="android.intent.action.CAMERA_BUTTON" />
                <action android:name="android.intent.action.DOCK_EVENT" />
                <action android:name="android.intent.action.HEADSET_PLUG" />
                <action android:name="android.intent.action.SCREEN_OFF" />
                <action android:name="android.intent.action.SCREEN_ON" />
            </intent-filter>
        </receiver>
        <receiver android:name="arp.com.adok.NotificationStarter" >
            <intent-filter>
                <action android:name="com.test.intent.action.ALARM" />
            </intent-filter>
        </receiver>

        <service
            android:name="arp.com.adok.MyJobService"
            android:exported="true"
            android:permission="android.permission.BIND_JOB_SERVICE" />
    </application>

</manifest>